q(1)

NAME
q - invoke a portage utility applet

SYNOPSIS
q <applet> <args>

DESCRIPTION
q is a collection of utilities for use with Gentoo systems regarding installed and available packages.

After version 0.74 of portage-utils, the cache functionality was removed in favour of using various trees directly, and optionally the caches therein. As such the -r and -m options were removed. It is no longer necessary to initialise the cache at any time.

After version 0.82, the -m flag got repurposed for listing masks.

OPTIONS

-i, --install
    Install symlinks for applets.

-o, --overlays
    Print available overlays (read from repos.conf). Use -v to see the source (file) where the overlay was declared.

-e, --envvar
    Print used environment variables and found values. Use -v to see the source (file, environment) where the variable was declared. Additional arguments are treated as variable names to print the values for. If just one name is given, only the value is printed if matched. When no arguments or more than one argument is given, the variable name and the value is printed as a shell-style declaration.

-m, --masks
    Print the masks from package.mask files found. Use -v to see the source (file) where the mask was declared. Use multiple -v to print the comment right before the mask. Additional arguments are treated as atom selectors which must match the masks.

--root <arg>
    Set the ROOT env var.

-v, --verbose
    Report full package versions, emit more elaborate output.

-q, --quiet
    Tighter output; suppress warnings.

-C, --nocolor
    Don't output color.

--color
    Force color in output.

-h, --help
    Print this help and exit.

-V, --version
    Print version and exit.

APPLETS
This applet also has sub applets:
         q <applet> <args> : virtual applet
     qatom <pkg>           : split atom strings
    qcheck <pkgname>       : verify integrity of installed packages
  qdepends <pkgname>       : show dependency info
     qfile <filename>      : list all pkgs owning files
     qgrep <expr> [pkg ...]: grep in ebuilds
  qkeyword <action> <args> : list packages based on keywords
     qlist <pkgname>       : list files owned by pkgname
      qlop <pkgname>       : emerge log analyzer
 qmanifest <misc args>     : verify or generate thick Manifest files
    qmerge <pkgnames>      : fetch and merge binary package
      qpkg <misc args>     : create or manipulate Gentoo binpkgs
   qsearch <regex>         : search pkgname/desc
     qsize <pkgname>       : calculate size usage
     qtbz2 <misc args>     : manipulate tbz2 packages
  qtegrity <misc args>     : verify files with IMA
      quse <useflag>       : find pkgs using useflags
    qwhich <pkg ...>       : find path to pkg
     qxpak <misc args>     : manipulate xpak archives

REPORTING BUGS
Please report bugs via http://bugs.gentoo.org/
Product: Portage Development; Component: Tools

AUTHORS
Ned Ludd <solar@gentoo.org>
Mike Frysinger <vapier@gentoo.org>
Fabian Groffen <grobian@gentoo.org>

SEE ALSO
qatom(1), qcheck(1), qdepends(1), qfile(1), qgrep(1), qkeyword(1), qlist(1), qlop(1), qmanifest(1), qmerge(1), qpkg(1), qsearch(1), qsize(1), qtbz2(1), qtegrity(1), quse(1), qwhich(1), qxpak(1)